#
# Conditional build:
%bcond_without	doc	# documentation (uses python2, needs repository metadata)
%bcond_with	tests	# "make test" (pytest-runner doesn't support \--build-base)
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%if %{without python2}
%undefine	with_doc
%endif
Summary:	rst.linker - Python 2 Sphinx plugin to add links to the changelog
Summary(pl.UTF-8):	rst.linker - wtyczka Sphinksa dla Pythona 2 do dodawania odnośników do changeloga
Name:		python-rst.linker
Version:	1.6
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/rst.linker/
Source0:	https://pypi.python.org/packages/4e/d5/efb8c29b36c0f9a139208e3c7b546bebcc0bd434535773fd447dfc47ebb1/rst.linker-%{version}.tar.gz
# Source0-md5:	1d80b37c613e4666abcbe23e55f92875
URL:		https://bitbucket.org/jaraco/rst.linker
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-pytest >= 2.8
BuildRequires:	python-pytest-runner
BuildRequires:	python-setuptools
BuildRequires:	python-setuptools_scm >= 1.9
BuildRequires:	python-six
%{?with_doc:BuildRequires:	sphinx-pdg}
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-pytest >= 2.8
BuildRequires:	python3-pytest-runner
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm >= 1.9
BuildRequires:	python3-six
%endif
Requires:	python-Sphinx
Requires:	python-dateutil
Requires:	python-six
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rst.linker is a Sphinx plugin to add links to the changelog.

%description -l pl.UTF-8
rst.linker to wtyczka Sphinksa służąca do dodawania odnośników do
changeloga.

%package -n python3-rst.linker
Summary:	rst.linker - Python 3 Sphinx plugin to add links to the changelog
Summary(pl.UTF-8):	rst.linker - wtyczka Sphinksa dla Pythona 3 do dodawania odnośników do changeloga
Group:		Libraries/Python
Requires:	python3-Sphinx
Requires:	python3-dateutil
Requires:	python3-six

%description -n python3-rst.linker
rst.linker is a Sphinx plugin to add links to the changelog.

%description -n python3-rst.linker -l pl.UTF-8
rst.linker to wtyczka Sphinksa służąca do dodawania odnośników do
changeloga.

%package apidocs
Summary:	Documentation for rst.linker module
Summary(pl.UTF-8):	Dokumentacja do modułu rst.linker
Group:		Documentation

%description apidocs
Documentation for rst.linker module.

%description apidocs -l pl.UTF-8
Dokumentacja do modułu rst.linker.

%prep
%setup -q -n rst.linker-%{version}

%build
%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 %{?with_tests:test}

%if %{with doc}
%{__python} setup.py build_sphinx
%endif
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst
%dir %{py_sitescriptdir}/rst
%{py_sitescriptdir}/rst/linker.py[co]
%{py_sitescriptdir}/rst.linker-%{version}-py*.egg-info
%{py_sitescriptdir}/rst.linker-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-rst.linker
%defattr(644,root,root,755)
%doc CHANGES.rst
%dir %{py3_sitescriptdir}/rst
%{py3_sitescriptdir}/rst/linker.py
%dir %{py3_sitescriptdir}/rst/__pycache__
%{py3_sitescriptdir}/rst/__pycache__/linker.cpython-*.py[co]
%{py3_sitescriptdir}/rst.linker-%{version}-py*.egg-info
%{py3_sitescriptdir}/rst.linker-%{version}-py*-nspkg.pth
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc build/sphinx/html/*
%endif
%changelog
* Fri Aug 19 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-rst.linker.git;a=log;h=master

* Thu May 12 2016 Jakub Bogusz <qboosh@pld-linux.org> acafab9
- updated to 1.6

* Tue Mar 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 230ead4
- updated to 1.5
- docs seem to build now

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> d8b585a
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> acf1216
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5e7b624
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1655ca2
- python3.5 rebuild
- release 3 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> bdf580e
- release 2 (by relup.sh)

* Sat Mar 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 1cd2da1
- new

